RSXYZ Public Company Limited

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1753833600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.wealthythai.com/en/updates/digital-asset/39378",
    "holding_balance": 50.0,
    "holding_net_change": 31.05,
    "transaction_value_usd": 3658626.1575,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1755216000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.rsxyz.com/news-posts/rsxyz-acquires-3-more-btc-boosting-total-holdings-to-53-btc",
    "holding_balance": 53.0,
    "holding_net_change": 3.0,
    "transaction_value_usd": 354776.91,
    "average_entry_value_usd": 118258.97,
    "transaction_value_calculated": false
  },
  {
    "date": 1761004800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "RSXYZ Expands Bitcoin Treasury to 74.97 BTC",
    "holding_balance": 74.97,
    "holding_net_change": 21.97,
    "transaction_value_usd": 2448336.8,
    "average_entry_value_usd": 111440.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    74.97
  ],
  [
    1782950400000,
    74.97
  ],
  [
    1783036800000,
    74.97
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    4495542.3135
  ],
  [
    1782950400000,
    4609742.6151
  ],
  [
    1783036800000,
    4687573.4703
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.28,
    "date": "2026-07-01",
    "high": 0.29,
    "open": 0.29,
    "close": 0.29,
    "volume": 348000
  },
  {
    "low": 0.28,
    "date": "2026-07-02",
    "high": 0.29,
    "open": 0.28,
    "close": 0.29,
    "volume": 99100
  },
  {
    "low": 0.28,
    "date": "2026-07-03",
    "high": 0.29,
    "open": 0.29,
    "close": 0.29,
    "volume": 187500
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -12.12,
  "six_month_return": -38.3,
  "three_month_return": -30.95
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/rsxyz-public-company-limited/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.9,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}